Subject: Re: Re: FVWM: DeIconify does *not* deiconify iconified windows

From: [email-masked]
Date: Tue, 02 Jul 2002 14:52:20 +0200

> 
> Fvwm does not send any events to the application (well, almost,
> there are some cases, but these don't play a role here).  The X
> server does it automatically.  I'm sure the problem is timing
> related:  Fvwm receives *exactly* the same exents in both cases
> and thus behaves the same.  But wish interprets the events
> differently.  Since the outcome seems to be somewhat random, it's
> very likely that timing plays a role.  Applications should not be
> written in a way that relies on a specific timing.
> 
> Bye
> 
> Dominik ^_^  ^_^
> 
> 
Since update wait's for all events of a certain type to be processed, this cannot be a timing problem. I have to repeat, this does work under other window managers, but I like fvwm the most. Using the described method is exactly the way it is proposed in many books/tutorials/wikits.
Another reason might also be the *PENDING* flags of windows introduced after 2.2.5 (exept the MAP_PENDING), so that the X server sends events to wish in a different order. But I'm just guessing, I do not know the internals of fvwm well.

Gerhard

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]